curl --request POST \
--url https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"owner": "<string>"
}
'import requests
url = "https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio"
payload = { "owner": "<string>" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({owner: '<string>'})
};
fetch('https://api.fairground.fi/portfolio.v1.PortfolioService/GetPortfolio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"portfolio": {
"owner": "0xAbcd1234....",
"timestamp": "2026-08-24T16:54:23.236685739Z",
"totalMargin": 149.26143,
"totalUnrealizedPnl": 7.10187794241007,
"totalRealizedPnl": 0.4408130000000001,
"totalVolume": 156520757.2626406,
"totalFees": 0.8953679999999999,
"totalProfit": 1.336181,
"totalLoss": 0,
"totalTrades": "7",
"totalEquity": 156.36330794241007,
"maxDrawdown": 0.10608023388454796,
"positions": [
{
"owner": "0xAbcd1234....",
"positionId": "85",
"marketId": "12942289985198375563",
"timestamp": "2026-08-24T15:49:13Z",
"market": "BTC-USD",
"side": "SIDE_LONG",
"marginType": "MARGIN_TYPE_ISOLATED",
"nominalSize": 0.01255516,
"entryPrice": 79287.34,
"markPrice": 79023.94,
"liquidationPrice": 73192.328047563,
"allocatedMargin": 99.497385,
"leverage": 10,
"unrealizedPnl": 65.80959585600007,
"reduceOnly": false,
"associatedOrders": [
{
"owner": "0xAbcd1234....",
"orderId": "85",
"timestamp": "2026-08-24T16:21:01.188705915Z",
"marketId": "12942289985198375563",
"market": "BTC-USD",
"type": "ORDER_TYPE_MARKET",
"side": "SIDE_LONG",
"thresholdPrice": 79716.71,
"size": 995.52015,
"leverage": 10,
"status": "ORDER_STATUS_FULLY_FILLED",
"filledSize": 995.52015,
"unfilledSize": 0,
"reduceOnly": false,
"fees": 0.311272,
"rebates": 0,
"reduceOrderType": "",
"initialNotional": 995.52015,
"stopLossPrice": 78000,
"takeProfitPrice": 80000,
"createdAt": "2026-06-18T14:32:07Z",
"updatedAt": "2026-06-18T14:32:07Z",
"averageFillPrice": 79291.69124800728,
"filledQuoteSize": 995.52015,
"margin": 99.552015,
"triggerPrice": 0
}
],
"tickDecimals": 2,
"revenueSpent": 5.2866936,
"effectiveSize": 0.01255516,
"estimatedRebate": 0.0029876479048079312,
"stopLossPrice": 78000,
"takeProfitPrice": 80000,
"cashRoi": 216.61602888143707,
"currentPnl": -3.3070291439999266,
"currentRoi": -3.323734733329853,
"associatedOrderIds": []
}
],
"orders": [
{
"owner": "0xAbcd1234....",
"orderId": "85",
"timestamp": "2026-08-24T16:21:01.188705915Z",
"marketId": "12942289985198375563",
"market": "BTC-USD",
"type": "ORDER_TYPE_MARKET",
"side": "SIDE_LONG",
"thresholdPrice": 79716.71,
"size": 995.52015,
"leverage": 10,
"status": "ORDER_STATUS_FULLY_FILLED",
"filledSize": 995.52015,
"unfilledSize": 0,
"reduceOnly": false,
"fees": 0.311272,
"rebates": 0,
"reduceOrderType": "",
"initialNotional": 995.52015,
"stopLossPrice": 78000,
"takeProfitPrice": 80000,
"createdAt": "2026-06-18T14:32:07Z",
"updatedAt": "2026-06-18T14:32:07Z",
"averageFillPrice": 79291.69124800728,
"filledQuoteSize": 995.52015,
"margin": 99.552015,
"triggerPrice": 0
}
]
}
}GetPortfolio
Returns an aggregated portfolio snapshot for one wallet: margin, PnL, volume, fee, and equity totals, plus the wallet’s currently open positions and open orders.
NOTE: positions and orders are open-only — closed positions and
terminal-status orders are folded into the aggregate totals but are
not listed individually here. All totals are recomputed fresh on
every request (not cached), so this endpoint is heavier than a
single-position or single-order lookup.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Define the version of the Connect protocol. If omitted, use 1.
1 Define the timeout, in ms
Body
Wallet address to compute a portfolio for.
Response
Success
Aggregated portfolio snapshot for the requested wallet.
Show child attributes
Show child attributes